/*--------------------------------------------------------------------------*/
/*                   Mandelmania - ARexx - Script - File                    */
/*--------------------------------------------------------------------------*/

/* This script was sent to me by David Andrew Clayton    */
/* Execution time: 0h 57' 53" (68020, 14 MHz, 320x200x5) */
/* ANIM file size: 1'036'798 Bytes                       */

address 'rexx_mandelmania'
options results

signal on ERROR 
signal on BREAK_C 
signal on BREAK_D

'getanimfilename'
animname = result

if result = 'RESULT' then do
	exit 0
	end

'openanim' animname'.anim' 

say 'Calculating' animname
say 'Start time'
address command 'date'

pic      = 0

/*--------------------------------------------------------------------------*/

left1   = '-1.186864437877208'
right1  = '-1.18686417944015'
bottom1 = '0.3052804438822836'
top1    = '0.3052806580387606'
xc1     = '0'
yc1     = '0'
iter1   = 50
type    = 0

/*--------------------------------------------------------------------------*/

left2   = '-2.5'
right2  = '1.5'
bottom2 = '-1.75'
top2    = '1.75'
xc2     = '0'
yc2     = '0'
iter2   = 50

steps   = 40

do i=pic to pic+steps-1 
	say 'interpolate' i-pic steps
	'interpolate' i-pic steps-1 left1 right1 bottom1 top1 xc1 yc1 iter1 left2 right2 bottom2 top2 xc2 yc2 iter2 type 
	'saveanim' 
	if i <= 1 then do 
		'savefractal' animname'.'i 
		end 
	end 

left1   = left2;
right1  = right2;
bottom1 = bottom2;
top1    = top2;
xc1     = xc2;
yc1     = yc2;
iter1   = iter2;

pic = pic+steps

/*--------------------------------------------------------------------------*/

ERROR:
BREAK_C:
BREAK_D:
if (RC ~= 0) then do
	say ' 'SIGL '*-*' SOURCELINE(SIGL)
	say 'Error' RC
	end

'openfractal' animname'.0'	/* For looped animations */
'saveanim'
'openfractal' animname'.1'
'saveanim'

'closeanim'

address command 'delete' animname'.0 QUIET'
address command 'delete' animname'.1 QUIET'

say 'End time'
address command 'date'

exit 0

