/*--------------------------------------------------------------------------*/
/*                   Mandelmania - ARexx - Script - File                    */
/*--------------------------------------------------------------------------*/

/* This script was sent to me by David Andrew Clayton    */
/* Execution time: 2h 09' 56" (68020, 14 MHz, 320x200x5) */
/* ANIM file size: 2'401'062 Bytes                       */

address 'rexx_mandelmania'
options results

signal on ERROR 
signal on BREAK_C 
signal on BREAK_D

'getanimfilename'
animname = result

if result = 'RESULT' then do
	exit 0
	end

'openanim' animname'.anim'

say 'Calculating' animname
say 'Start time'
address command 'date'

pic      = 0

/*--------------------------------------------------------------------------*/

left1   = '-0.3125'
right1  = '-0.125'
bottom1 = '-0.751953125'
top1    = '-0.587890625'
xc1     = '0'
yc1     = '0'
iter1   = 250
type    = 0

/*--------------------------------------------------------------------------*/

left2   = '-0.466015625'
right2  = '-0.278515625'
bottom2 = '-0.7186279296875'
top2    = '-0.5545654296875'
xc2     = '0'
yc2     = '0'
iter2   = 250

steps   = 10

do i=pic to pic+steps-1 
	say 'interpolate' i-pic steps
	'interpolate' i-pic steps-1 left1 right1 bottom1 top1 xc1 yc1 iter1 left2 right2 bottom2 top2 xc2 yc2 iter2 type 
	'saveanim' 
	if i <= 1 then do 
		'savefractal' animname'.'i 
		end 
	end 

left1   = left2;
right1  = right2;
bottom1 = bottom2;
top1    = top2;
xc1     = xc2;
yc1     = yc2;
iter1   = iter2;

pic = pic+steps

/*--------------------------------------------------------------------------*/

left2   = '-0.3721723338365555'
right2  = '-0.3721673395633698'
bottom2 = '-0.6481175519875251'
top2    = '-0.6481133165070787'
xc2     = '0'
yc2     = '0'
iter2   = 250

steps   = 75

do i=pic to pic+steps-1 
	say 'interpolate' i-pic steps
	'interpolate' i-pic steps-1 left1 right1 bottom1 top1 xc1 yc1 iter1 left2 right2 bottom2 top2 xc2 yc2 iter2 type 
	'saveanim' 
	if i <= 1 then do 
		'savefractal' animname'.'i 
		end 
	end 

left1   = left2;
right1  = right2;
bottom1 = bottom2;
top1    = top2;
xc1     = xc2;
yc1     = yc2;
iter1   = iter2;

pic = pic+steps

/*--------------------------------------------------------------------------*/

/* Tail.rexx */

ERROR:
BREAK_C:
BREAK_D:
if (RC ~= 0) then do
	say ' 'SIGL '*-*' SOURCELINE(SIGL)
	say 'Error' RC
	end

'openfractal' animname'.0'	/* For looped animations */
'saveanim'
'openfractal' animname'.1'
'saveanim'

'closeanim'

address command 'delete' animname'.0 QUIET'
address command 'delete' animname'.1 QUIET'

say 'End time'
address command 'date'

exit 0
